@import '../../node_modules/antd/dist/antd.css';


.offline {
	color: #565656;
}

.online {
	color: #1cb855;
}

.switch-off {
	color: #f65f54;
}

.hp-blue-shade {
	color: #374375;
}

.lp-blue-shade {
	color: #7686a1;
}

.hp-black-shade {
	color: #232323;
}

#google_translate_element {
	position: absolute;
	top: -24px;
	left: -9px !important;
	z-index: 99999;
}

#phone-form-control:hover {
	border-color: #ffab6b;
}

#phone-form-control:hover + #flag-dropdown {
	border-color: #ffab6b;
}

#phone-form-control:focus {
	border-color: #ffab6b;
	outline: 0;
	box-shadow: 0 0 0 2px rgba(245, 135, 64, 0.2);
}

#phone-form-control:focus + #flag-dropdown {
	border-color: #ffab6b;
	outline: 0;
}

#phone-form-control {
	width: inherit !important;
}

#phone-form-control:disabled {
	color: rgba(0, 0, 0, 0.25);
	background-color: #f5f5f5;
	cursor: not-allowed;
	opacity: 1;
}

#phone-form-control:disabled + #flag-dropdown {
	color: rgba(0, 0, 0, 0.25);
	background-color: #f5f5f5;
	cursor: not-allowed;
}

.ant-menu-submenu-selected {
	.ant-menu-submenu-title {
		color: #f58740 !important;
	}
}

.goog-te-gadget {
	font-family: Roboto, 'Open Sans', sans-serif !important;
	text-transform: uppercase;
}

.goog-logo-link {
	display: none !important;
}

.goog-te-gadget {
	color: transparent !important;
}

.goog-te-banner-frame.skiptranslate {
	display: none !important;
}
body {
	top: 0px !important;
	overflow: hidden;
	font-size: 14px;
}

.goog-te-menu-value {
	color: #fff !important;
	&:before {
		font-family: 'Material Icons';
		content: '\E927';
		margin-right: 16px;
		font-size: 2rem;
		vertical-align: -10px;
		// width:32px!important;
	}
}

.goog-te-gadget {
	.goog-te-combo {
		color: #232323ab;
		border-radius: 4px;
		padding: 5px;
		height: 32px;
		width: 300px;
		border: 1px solid #ddd;
		cursor: pointer;
		outline: none;

		option {
			padding: 10px !important;
		}
	}
	.goog-te-combo:hover,
	.goog-te-combo:focus,
	.goog-te-combo:active {
		border-color: #ffab6b;
	}
}

.goog-te-gadget {
	div {
		border: 1px solid rgba(255, 255, 255, 0.5) !important;
		padding: 8px !important;
		border-radius: 4px !important;
		font-size: 1rem !important;
		line-height: 2rem !important;
		display: inline-block;
		cursor: pointer;
		zoom: 1;
	}
}

.goog-logo-link {
	display: none;
}

.slow-hide {
	opacity: 0;
	transition: 10s all;
}

.information-meaasge {
	margin-top: 25px;
	font: status-bar;
	color: orange;
	display: flex;
	align-items: center;

	.info-msg {
		color: #232323ab;
		margin-left: 8px;
	}
}

#google_translate_element_new {
	position: relative;
}

.graph-container {
	// padding: 20px;

	.highcharts-xaxis {
		text {
			tspan {
				color: #232323;
				fill: #232323;
			}
		}
	}

	// .highcharts-title {
	// 	tspan {
	// 		color: #232323;
	// 		font-weight: 500;
	// 		font-size: 16px;
	// 		fill: #232323;
	// 	}
	// }

	.highcharts-subtitle {
		tspan {
			color: #232323;
			font-weight: 500;
			font-size: 12px;
			fill: #232323;
		}
	}

	.highcharts-background {
		fill: #fff;
	}
}

.graph-container-no-data {
	transform: translate(-50%, -50%) !important;
	top: 50% !important;
	left: 50% !important;
	position: absolute !important;
	font-size: 20px;
	color: #808080;
	font-weight: 500;
}
.margin-top-20 {
	margin-top: 20px;
}

.margin-bottom-5 {
	margin-bottom: 5px;
}

.mar-lt-24 {
	margin-left: 24px !important;
}

.mar-lt-37 {
	margin-left: 37px !important;
}

.box-shadow-new {
	box-shadow: 9px 9px 16px #d7dbe0, -9px -9px 16px #ffffff !important;
	background-color: unset !important;
	border: 4px solid #ffffff96 !important;
}

.card-box-shadow-new {
	box-shadow: 9px 9px 16px #d7dbe0, -9px -9px 16px #ffffff !important;
	background-color: #e4eaf7 !important;
	border: 4px solid #ffffff96 !important;
}

.disabled-shadow {
	box-shadow: 9px 9px 16px #d7dbe0, -9px -9px 16px #ffffff !important;
	background-color: unset !important;
	border: 4px solid #ffffff96 !important;
}

.ant-legacy-form label {
	font-size: 13px !important;
}

.report-modal {
	.report-form {
		.section {
			margin-bottom: 10px;

			.label {
				font-weight: 500;
			}

			.checkbox-section {
				margin-left: 10px;

				.checkbox-group {
					margin-top: 10px;
					display: flex;
					flex-wrap: wrap;

					div {
						margin: 5px 0;
						width: 50%;
					}
				}

				.format {
					div {
						width: 30%;
					}
				}
			}
		}

		.button-container {
			display: flex;
			justify-content: center;
			align-items: center;
			padding: 10px;
			margin-bottom: 15px;

			.button {
				padding: 10px;
				margin: 10px;
				cursor: pointer;
				box-shadow: 0px 0px 18px #d0d0d054;
				transition: all 0.5s;
				border-bottom-left-radius: 10px;
				border-top-right-radius: 10px;
				width: 100px;
				text-align: center;

				&:hover {
					box-shadow: 0px 0px 18px #d0d0d0;
				}
			}
		}
	}

	.ant-modal-footer {
		display: none !important;
	}
}

.parameter-label {
	color: rgba(0, 0, 0, 0.85);
	display: inline-block;
	overflow: hidden;
	white-space: nowrap;
	text-align: right;
	vertical-align: middle;
	margin-bottom: 10px;
}
.content-split-height-1 {
	height: calc(100vh - 52px);
	max-height: calc(100vh - 52px);
}
.content-split-height-2 {
	height: calc((100vh - 52px) / 2);
	max-height: calc((100vh - 52px) / 2);
}
.content-split-height-3 {
	height: calc((100vh - 52px) / 3);
	max-height: calc((100vh - 52px) / 3);
}
.content-split-height-4 {
	height: calc((100vh - 52px) / 4);
	max-height: calc((100vh - 52px) / 4);
}
.content-split-height-5 {
	height: calc((100vh - 52px) / 5);
	max-height: calc((100vh - 52px) / 5);
}

#login_page {
	font-family: Quicksand, sans-serif;
	height: 100vh !important;
	margin: 0 auto;
	font-size: 16px;
	overflow: hidden;
	color: #232323;

	.login-container {
		/* background: -webkit-gradient(linear, left bottom, left top, from(#f58740), to(#f06352)); */
		/* background: -webkit-linear-gradient(bottom, #f58740, #f06352); */
		/* background: linear-gradient(0deg, #f58740, #f06352); */
		width: 100%;
		height: 100vh;
		overflow: hidden;
		display: table;
		margin: 0 auto;

		.back-img {
			position: absolute;
			height: 100vh;
			width: 350px;
			z-index: 2;
			background-image: url(https://static.datoms.io/images/dg-login-bg.jpg);
			background-size: cover;
		}

		.form {
			/* width: 30%; */
			max-width: 350px;
			min-width: 60px;
			/* position: relative; */
			/* right: -60%; */
			z-index: 3;
			display: table;
			margin: auto;
			margin-top: 70px;

			.panel {
				margin: 0 auto;
				border-radius: 10px;
				position: relative;

				.front {
					position: relative;
					// top: 0;
					margin-top: 50%;
					z-index: 900;
					transition: all 0.4s ease-in-out;
					width: 100%;

					.form-sec {
						height: 100%;
						margin: 0 auto;
						padding: 20px 30px;
						background-color: #ffffffbf;
						border-radius: 10px;

						.head {
							font-size: 25px;
							text-align: left;
							margin-bottom: 20px;
							font-family: Lora, serif;
						}

						.second-head {
							font-weight: 500;
							margin-bottom: 50px;
							font-size: 12px;
							line-height: 1.5;
							color: grey;
						}

						.form-container {
							margin-bottom: 20px;
							font-size: 14px;

							.header-text {
								text-align: left;
								margin-bottom: 10px;
								font-size: 13px;
							}

							.form-control {
								display: block;
								width: calc(100% - 10px);
								padding-left: 10px;
								height: 35px;
								font-size: 14px;
								line-height: 1.42857143;
								color: grey;
								background-image: none;
								border: 1px solid grey;
								border-radius: 4px;
								box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
								transition: border-color ease-in-out 0.15s,
									box-shadow ease-in-out 0.15s;
								font-family: Quicksand, sans-serif !important;

								&:focus {
									border: 1px solid #f58740;
									box-shadow: none;
									outline: 0;
									background-color: #fff;
								}
							}

							.check {
								margin-right: 5px;
							}
						}

						.form-container.mar-top-30 {
							margin-top: 30px;
						}

						.error-msg {
							font-size: 12px;
							margin-top: -10px;
							position: absolute;
							margin-left: 4px;
							color: red;
						}

						.btn-contain {
							text-align: center;

							.btn {
								line-height: 10px;
								background: linear-gradient(
									315deg,
									#f58740,
									#f06352
								);
								color: #fff;
								border-radius: 20px;
								border: none;
								box-shadow: none;
								width: 100%;
								padding: 10px;
								margin-top: 50px;
								-webkit-font-feature-settings: 'pcap', 'c2pc';
								font-feature-settings: 'pcap', 'c2pc';
								font-variant: all-petite-caps;
								letter-spacing: 2px;
								cursor: pointer;
								font-size: 16px;

								&:focus {
									box-shadow: none;
									outline: 0;
								}

								&:disabled {
									cursor: not-allowed;
									opacity: 0.75;
								}
							}
						}
						#forgot_pswd {
							cursor: pointer;
							margin-top: 20px;
							text-align: center;
							font-size: 14px;

							a {
								text-decoration: none;
								color: #c4c2c2;
								transition: all 0.5s;

								&:hover {
									color: #f06352;
								}
							}
						}
						#back_login {
							cursor: pointer;
							margin-top: 20px;
							text-align: center;
							font-size: 14px;

							a {
								text-decoration: none;
								color: #c4c2c2;
								transition: all 0.5s;

								&:hover {
									color: #f06352;
								}
							}
						}
					}
				}
			}
		}

		.datoms-logo {
			position: absolute;
			bottom: 30px;
			right: 30px;
			width: 15%;
			opacity: 0.5;

			img {
				width: 100%;
			}
		}

		.copyright {
			position: absolute;
			left: 20px;
			bottom: 20px;
			color: #fff;
			opacity: 0.5;
		}
	}

	.mar-top-20 {
		margin-top: 20px !important;
	}
}

// Table Style

@media screen and (max-width: 1440px) {
	.ant-table-thead {
		tr {
			th {
				font-size: 12px !important;
			}
		}
	}
	.ant-table-tbody {
		tr {
			td {
				font-size: 12px !important;
			}
		}
	}
	.ant-table-body {
		.ant-table-thead {
			font-size: 12px !important;
		}
	}
}

@media screen and (max-width: 550px) {
	.graph-container-no-data {
		font-size: 14px !important;
	}
}
